//
// MultiTest by Bryan Duke, http://www.acceleroto.com
// --this is a simple test app that contains a UIWebView in a Cocos2d layer (using iPhone 0.7.3) 
// --built: 2090712
//
// This code may be used & redistributed as outlined in the Cocos2D iPhone license


#import "Game.h"
#import "ccMacros.h"

#import "LayerMenu.h"

// CLASS IMPLEMENTATIONS
@implementation AppController

- (void) applicationDidFinishLaunching:(UIApplication*)application
{
	// Init the window
	window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];

	// cocos2d will inherit these values
	[window setUserInteractionEnabled:YES];
	[window setMultipleTouchEnabled:YES];


	// must be called before any othe call to the director
//	[Director useFastDirector];

	// before creating any layer, set the landscape mode
	[[Director sharedDirector] setLandscape: YES];

	// show FPS
	[[Director sharedDirector] setDisplayFPS:YES];
//	[[Director sharedDirector] setDisplayFPS:NO];

	// frames per second
	[[Director sharedDirector] setAnimationInterval:1.0/60];	
	
	// attach cocos2d to a window
	[[Director sharedDirector] attachInView:window];
	[[[Director sharedDirector] openGLView] setMultipleTouchEnabled:YES];

	//add the menu scene
	Scene *scene = [Scene node];
	[scene addChild:[LayerMenu node]];

	[window makeKeyAndVisible];

	//run the menu scene
	[[Director sharedDirector] runWithScene: scene];

}

// getting a call, pause the game
-(void) applicationWillResignActive:(UIApplication *)application
{
	[[Director sharedDirector] pause];
}

// call got rejected
-(void) applicationDidBecomeActive:(UIApplication *)application
{
	[[Director sharedDirector] resume];
}

// purge memory
- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
	[[TextureMgr sharedTextureMgr] removeAllTextures];
}

//app's about to close
- (void)applicationWillTerminate:(UIApplication *)application {
}

-(void) dealloc
{
	[window release];
	[super dealloc];
}
@end

