//
// MultiTest by Bryan Duke, http://www.acceleroto.com
// --this is a simple test app that contains a UIWebView in a Cocos2d layer (using iPhone 0.7.3) 
// --built: 2090712
//
// This code may be used & redistributed as outlined in the Cocos2D iPhone license

#import "LayerMenu.h"
#import "LayerGame.h"
#import "LayerWebView.h"

@implementation LayerMenu
-(id) init
{
	[super init];

	isTouchEnabled = YES;

	[[Director sharedDirector] setLandscape: YES];

	Sprite *mainmenu_bg = [Sprite spriteWithFile:@"menu_background.png"];
	mainmenu_bg.position = ccp(240, 160);
	[self addChild:mainmenu_bg z:0];
	mainmenu_bg = nil;
	
	//test
	[MenuItemFont setFontSize:35];
	[MenuItemFont setFontName: @"TrebuchetMS-Bold"];
	
	
	MenuItem *item1 = [MenuItemFont itemFromString: @"Play" target:self selector:@selector(menuCallback:)];
	MenuItem *item2 = [MenuItemFont itemFromString: @"Web View" target:self selector:@selector(menuCallback2:)];
	menu = [Menu menuWithItems: item1, item2, nil];
	[menu alignItemsVertically];
	menu.position = ccp(240,160);
	[self addChild: menu];

	return self;
}


-(void) menuCallback: (id) sender
{
	//start the game
	Scene *s2 = [Scene node];
	[s2 addChild: [LayerGame node]];
	[[Director sharedDirector] replaceScene: [FadeTransition transitionWithDuration:0.5f scene:s2 withColorRGB:0xffffff]];
	
}

-(void) menuCallback2: (id) sender
{
	//start the game
	Scene *s2 = [Scene node];
	[s2 addChild: [LayerWebView node]];
	[[Director sharedDirector] replaceScene: [FadeTransition transitionWithDuration:0.5f scene:s2 withColorRGB:0xffffff]];
	
}


-(void) dealloc
{
	[super dealloc];
}

@end
